/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.blocks;


import javachan.GameState;
import javachan.IPhysicsObject;

/**
 * Note that these fish need Ikachan's CENTER POINT to touch them for them to be 'eaten'
 * 
 * @author matt
 */
public class ItemBlockType extends BasicBlockType {
    @Override
    protected String GetBlockImage()
    {
        return "Pbm/PrtItem.pbm";
    }
    //TODO:Useful items
    
    //Does colliding with this halt Ikachan?
    @Override
    public boolean CollisionStops()
    {
        return false;
    }    

    @Override
    public void HandleSoftCollision(int x,int y,GameState gs,IPhysicsObject ipo)
    {
        if (gs==ipo)
        if (ipo.GetX()>x)
        if (ipo.GetY()>y)
        if (ipo.GetX()<x+1)
        if (ipo.GetY()<y+1)
        {
        gs.map.data[x+(y*gs.map.Width)]=0;
        gs.IkachanXPEnergy(1,1);
        }
    }
}
