/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.games.editorui;

import gabien.IGrInDriver;
import javachan.Rect;

/**
 *
 * @author matt
 */
public abstract class UIElement {
    protected Rect Bounds=new Rect(0,0,1,1);
    public void SetBounds(Rect r) {
        Bounds=new Rect(r.x,r.y,r.width,r.height);
    }
    public Rect GetBounds() {
        Rect r=new Rect(Bounds.x,Bounds.y,Bounds.width,Bounds.height);
        return r;
    }
    public abstract void UpdateAndDraw(int ox,int oy,double DeltaTime,boolean selected,IGrInDriver igd);
    //
    public abstract void HandleClick(int x,int y);
    public void HandleDrag(int x,int y) {}
}
