/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.games.editorui;

import gabien.IGrInDriver;
import gabien.IGrInDriver.IImage;

/**
 * Width == Maximum+16.
 * @author matt
 */
public class UIScrollbar extends UIElement {
    public int Value=0;
    @Override
    public void UpdateAndDraw(int ox, int oy, double DeltaTime, boolean selected, IGrInDriver igd) {
        IImage ii=igd.GetImage("TileEditor.png", 0, 0, 0);
        for (int p=0;p<Bounds.width;p++)
        {
        igd.BlitImage(174, 0, 1, 16, ox+p, oy, ii);
        }
        igd.BlitImage(172, 0, 2, 16, ox, oy, ii);
        igd.BlitImage(172, 0, 2, 16, ox+(Bounds.width-2), oy, ii);
        igd.BlitImage(160, 0, 12, 12, (ox+2+Value), oy+2, ii);
    }

    @Override
    public void HandleClick(int x, int y) {
    }
    @Override
    public void HandleDrag(int x,int y)
    {
        Value=x-8;
        if (Value<0) Value=0;
        if (Value>Bounds.width-16) Value=Bounds.width-16;
    }
}
