/*
 * Part of the JavaChan project.
 * (Java ikaChan)
 *
 *        DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *                    Version 2, December 2004 
 *
 * Modified by gamemanj <asdd2808@gmail.com> to remove expletives
 * Original copyright (C) 2004 Sam Hocevar <sam@hocevar.net> 
 *
 * Everyone is permitted to copy and distribute verbatim or modified 
 * copies of this license document, and changing it is allowed as long 
 * as the name is changed. 
 *
 *            DO WHATEVER YOU WANT TO PUBLIC LICENSE 
 *   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION 
 *
 *  0. You just DO WHATEVER YOU WANT TO.
 */
package javachan.games.editorui;

import gabien.IGrInDriver;
import gabien.IGrInDriver.IImage;

/**
 *
 * @author matt
 */
public class UIButton extends UIElement {
    public IImage Image;
    public int ImageX,ImageY;
    public Runnable OnClick;
    public double PressedTime=0;
    @Override
    public void UpdateAndDraw(int ox, int oy,double DeltaTime,boolean selected, IGrInDriver igd) {
        if (PressedTime>0)
        {
            PressedTime-=DeltaTime;
        }
        igd.BlitImage(ImageX, ImageY, Bounds.width, Bounds.height, ox, oy+(PressedTime>0?4:0), Image);
    }

    @Override
    public void HandleClick(int x, int y) {
        OnClick.run();
        PressedTime=0.5;
    }
    
}
